For the complete documentation index, see llms.txt. This page is also available as Markdown.

Font

font

Font Search

get

Search the available Fonts

Query parameters
idintegerOptional

Filter by Font Id

namestringOptional

Filter by Font Name

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/fonts
GET /api/fonts HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "id": 1,
    "createdAt": "text",
    "modifiedAt": "text",
    "modifiedBy": "text",
    "name": "text",
    "fileName": "text",
    "familyName": "text",
    "size": 1,
    "md5": "text"
  }
]

Font Upload

post

Upload a new Font file

Body
filesstring · binaryRequired

The Uploaded File

namestringOptional

Optional Font Name

Responses
200

successful operation

No content

post/fonts
POST /api/fonts HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 32

{
  "files": "binary",
  "name": "text"
}
200

successful operation

No content

Font Search by ID

get

Get the Font object specified by the provided fontId

Path parameters
fontIdintegerRequired

Numeric ID of the Font to get

Responses
200

successful operation

application/json

Class Font

idintegerOptional

The Font ID

createdAtstringOptional

The Font created date

modifiedAtstringOptional

The Font modified date

modifiedBystringOptional

The name of the user that modified this font last

namestringOptional

The Font name

fileNamestringOptional

The Font file name

familyNamestringOptional

The Font family name

sizeintegerOptional

The Font file size in bytes

md5stringOptional

A MD5 checksum of the stored font file

get/fonts/{fontId}
GET /api/fonts/{fontId} HTTP/1.1
Accept: */*
200

successful operation

{
  "id": 1,
  "createdAt": "text",
  "modifiedAt": "text",
  "modifiedBy": "text",
  "name": "text",
  "fileName": "text",
  "familyName": "text",
  "size": 1,
  "md5": "text"
}

Font Details

get

Get the Font details

Path parameters
idintegerRequired

The Font ID

Responses
200

successful operation

No content

get/fonts/details/{id}
GET /api/fonts/details/{id} HTTP/1.1
Accept: */*
200

successful operation

No content

Download Font

get

Download a Font file from the Library

Path parameters
idintegerRequired

The Font ID to Download

Responses
200

successful operation

application/octet-stream
Responsestring · binary
get/fonts/download/{id}
GET /api/fonts/download/{id} HTTP/1.1
Accept: */*
200

successful operation

binary

Font Delete

delete

Delete existing Font file

Path parameters
idintegerRequired

The Font ID to delete

Responses
204

successful operation

No content

delete/fonts/{id}/delete
DELETE /api/fonts/{id}/delete HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?